#!/bin/bash

Path=$1
if [ ! -n "$path" ] ;then  
	Path=~/bin/ftrans/plugin/
fi


mkdir -p $Path
find . -name "Ftrans-Plugin_*_linux-*64" -exec cp -r {}/. $Path \;

cat > ~/.local/share/applications/ftrans-plugin.desktop <<  EOF
[Desktop Entry]
Name=Ftrans-Plugin
Exec=${Path}Ftrans-Plugin %u
Icon=${Path}icon.png
Type=Application
MimeType=x-scheme-handler/ftrans
Terminal=false
EOF


update-desktop-database ~/.local/share/applications/
xdg-mime default ftrans.desktop x-scheme-handler/ftrans


# 判断系统确定安装命令
if grep -Eqii "CentOS" /etc/issue || grep -Eq "CentOS" /etc/*-release; then
	PM='yum'
elif grep -Eqi "Red Hat Enterprise Linux Server" /etc/issue || grep -Eq "Red Hat Enterprise Linux Server" /etc/*-release; then
    PM='yum'
elif grep -Eqi "Fedora" /etc/issue || grep -Eq "Fedora" /etc/*-release; then
    PM='yum'
elif grep -Eqi "Debian" /etc/issue || grep -Eq "Debian" /etc/*-release; then
    PM='apt'
elif grep -Eqi "Ubuntu" /etc/issue || grep -Eq "Ubuntu" /etc/*-release; then
    PM='apt'
elif grep -Eqi "UnionTech" /etc/issue || grep -Eq "UnionTech" /etc/*-release; then
    PM='apt'
elif grep -Eqi "Kylin" /etc/issue || grep -Eq "Kylin" /etc/*-release; then
    PM='apt'
else
	echo "This script does not support the current system"
 	exit
fi


if [ "$PM"x = "apt"x ]; then
    $PM list --installed libgtk-3-0 |grep libgtk-3-0
else	
    $PM list installed gtk3 |grep gtk3
fi


if [ $? -ne 0 ]; then
    echo "The GTK3 is not installed which is required by this program."
fi